Subject: [bess] Representation of ESI in the EVPN YANG model draft

From: Alexander Vainshtein <[email-masked]>
Date: Sun, 12 Aug 2018 11:48:05 +0000

Dear authors of draft-ietf-bess-yang,
I have several questions regarding representation of Ethernet Segment Identifier (ESI) in the -05 version of the draft.

1.       In the Ethernet Segment container the draft defines ethernet-segment-identifier as uint32. I do not understand how this can be mapped to the definition (in RFC 7432<https://tools.ietf.org/html/rfc7432>, Section 5) of ESI "encoded as a 10-octet integer" where the 1st octet acts as the ESI Type defining how the remaining 9 octets are used.

2.       The same module also states that access ethernet-segment-identifier to  is read-write. This seems to assume a configurable attribute. However, RFC 7432, Section 5, defines that ESI can be auto-sensed by the attached PE from some protocols (e.g., from LACP or MSTP/RSTP).  Can you please clarify how the decision to use auto-sensed ESI for a specific segment (and which protocol to use for auto-sensing) can be expressed using the draft?

3.       In some cases the ESI is supposed to include a 6-octet MAC address (specifically, for ESI types 1, 2 and 3), and this is used in RFC 7432, Section 7.6, for auto-derivation of the ES-Import RT from the ESI for these ESI types. Can you please clarify how, if at all, this can be expressed using the draft?

Your feedback would be highly appreciated.

Regards, and lots of thanks in advance,
Sasha

Office: +972-39266302
Cell:      +972-549266302
Email:   [email-masked]

___________________________________________________________________________

This e-mail message is intended for the recipient only and contains information which is 
CONFIDENTIAL and which may be proprietary to ECI Telecom. If you have received this 
transmission in error, please inform us by e-mail, phone or fax, and then delete the original 
and all copies thereof.
___________________________________________________________________________